---

#! /zdci/db/releases/20251119145044/lkp-src/jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: mm
job_origin: kernel-selftests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-skl-d08
tbox_group: lkp-skl-d08
job_file: "/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-mm-2-debian-13-x86_64-20250902.cgz-fe9d31fd1ab6-20251210-259478-2whdph-0.yaml"
id: b6c6205739a8b90ed104aa6c0a8f183bac98fe76
queuer_version: "/zdci/src/lkp"

#! /zdci/db/releases/20251119145044/lkp-src/hosts/lkp-skl-d08
model: Skylake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 3
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NC1P0B-part*"
rootfs_partition: "/dev/disk/by-id/ata-CT500MX500SSD1_2043E4BD593B-part3"
brand: Intel(R) Core(TM) i9-9980XE CPU @ 3.00GHz
netconsole_port: 6682
ucode: '0x2007006'

#! /zdci/db/releases/20251119145044/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /zdci/db/releases/20251119145044/lkp-src/include/category/ALL
sanity-check:

#! /zdci/db/releases/20251119145044/lkp-src/include/queue/cyclic
commit: fe9d31fd1ab6cb53e45d9d6b0bb7a62d8365fe2b
sysctl:
  sc_nr_hugepages: 2

#! /zdci/db/releases/20251119145044/lkp-src/programs/kernel-selftests/include
need_kernel_version:
- ">= v6.3-rc1, gcc"
- ">= v6.3-rc1, clang"
need_kconfig:
- DEVICE_PRIVATE: "y"
- GUP_BENCHMARK: "y"
- GUP_TEST: "y"
- MEM_SOFT_DIRTY: y, x86_64
- CHECKPOINT_RESTORE: "y"
- EXPERT: "y"
- PROC_FS: "y"
- PTE_MARKER_UFFD_WP: "y"
- SYSVIPC: "y"
- TEST_HMM: m
- TEST_VMALLOC: m
- TRANSPARENT_HUGEPAGE: "y"
- USERFAULTFD: "y"
- ANON_VMA_NAME: "y"
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-9.4-kselftests
enqueue_time: 2025-12-10 00:36:52.780958324 +08:00
_rt: "/result/kernel-selftests/mm-2/lkp-skl-d08/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/fe9d31fd1ab6cb53e45d9d6b0bb7a62d8365fe2b"
compiler: gcc-14
head_commit: 6987d58a9cbc5bd57c983baa514474a86c945d56
base_commit: 7d0a66e4bb9081d75c82ec4957c50034cb0ea449
branch: linux-next/master
rootfs: debian-13-x86_64-20250902.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20251209-230921"
arch: x86_64
max_uptime: 36000
initrd: "/osimage/debian/debian-13-x86_64-20250902.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/mm-2/lkp-skl-d08/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/fe9d31fd1ab6cb53e45d9d6b0bb7a62d8365fe2b/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/fe9d31fd1ab6cb53e45d9d6b0bb7a62d8365fe2b/vmlinuz-6.18.0-rc5-00287-gfe9d31fd1ab6
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-mm-2-debian-13-x86_64-20250902.cgz-fe9d31fd1ab6-20251210-259478-2whdph-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-kselftests
- commit=fe9d31fd1ab6cb53e45d9d6b0bb7a62d8365fe2b
- intremap=posted_msi
- max_uptime=36000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/fe9d31fd1ab6cb53e45d9d6b0bb7a62d8365fe2b/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/fe9d31fd1ab6cb53e45d9d6b0bb7a62d8365fe2b/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/fe9d31fd1ab6cb53e45d9d6b0bb7a62d8365fe2b/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-13-x86_64-20250902.cgz/lkp_20250902.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/run-ipconfig_20250919.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/kernel-selftests_20251207.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/kernel-selftests-x86_64-67a454e6b1c6-1_20251207.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/hw_20250902.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20251206192403/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-mm-2-debian-13-x86_64-20250902.cgz-fe9d31fd1ab6-20251210-259478-2whdph-0.cgz"
last_kernel: 5.9.0-2-amd64

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/fe9d31fd1ab6cb53e45d9d6b0bb7a62d8365fe2b/vmlinuz-6.18.0-rc5-00287-gfe9d31fd1ab6"
result_root: "/result/kernel-selftests/mm-2/lkp-skl-d08/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/fe9d31fd1ab6cb53e45d9d6b0bb7a62d8365fe2b/0"
user: lkp

#! /zdci/db/releases/20251209224126/lkp-src/include/site/shz
dequeue_time: 2025-12-10 01:22:25.256329709 +08:00
job_state: finished
loadavg: 1.91 1.82 1.01 2/420 39475
start_time: '1765301279'
end_time: '1765301667'
version: "/lkp/lkp/.src-20251209-230921:c0b9ea39feff-dirty:e5b7b724b1c0-dirty"
